Extending Qt Creator Manual | DeviceKitInformation

Extending Qt Creator Manual 4.3.0

# DeviceKitInformation Class

(ProjectExplorer::DeviceKitInformation)

Inherits: | ProjectExplorer::KitInformation

- List of all members, including inherited members

## Public Functions

| DeviceKitInformation()

- 15 public functions inherited from ProjectExplorer::KitInformation

## Static Public Members

IDevice::ConstPtr | device(const Kit *k)
Core::Id | deviceId(const Kit *k)
Core::Id | id()
void | setDevice(Kit *k, IDevice::ConstPtr dev)
void | setDeviceId(Kit *k, Core::Id dataId)

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::KitInformation

## Member Function Documentation

### DeviceKitInformation::DeviceKitInformation()

Default constructs an instance of DeviceKitInformation.

### `[static]` IDevice::ConstPtr DeviceKitInformation::device(const Kit *k)

See also setDevice().

### `[static]` Core::Id DeviceKitInformation::deviceId(const Kit *k)

See also setDeviceId().

### `[static]` Core::Id DeviceKitInformation::id()

### `[static]` void DeviceKitInformation::setDevice(Kit *k, IDevice::ConstPtr dev)

See also device().

### `[static]` void DeviceKitInformation::setDeviceId(Kit *k, Core::Id dataId)

See also deviceId().